Minecraft Resource Packs

Minecraft Resource Packs list. Browse hundreds of Minecraft Resource Packs developed by the Minecraft community. Changing the look and feel of Minecraft.

  About LodeCraft Resource Pack This is a fantasy-styled texture pack. The terrain is mostly finished and a lot of work still has to be done on t
Compatible: 1.9.4, 1.8.9, 1.8, 1.7.10
Updated: March 19, 2016
Firewolf Resource Pack Screenshots How to Install Firewolf Resource Pack HD for Minecraft 1. You need to use a Minecraft version patched with 
Compatible: 1.8.6, 1.8, 1.7.10, 1.7.2, 1.6.4
Updated: February 3, 2016
Firewolf – The Forgotten Resource Pack Screenshots How to Install Firewolf – The Forgotten Resource Pack for Minecraft Make sure your
Compatible: 1.8.6, 1.8, 1.7.10, 1.7.2, 1.6.4
Updated: February 3, 2016
FabooPack is a very light, bright and beautiful pack. Let try it yourself!  
Updated: January 7, 2016
Description Preview See more images here How to install Derpy Ender Bros – FNaF 2 Pack Download the resource pack. Open Minecraft, and go t
Compatible: 1.8.8, 1.8, 1.7.10, 1.7.2, 1.6.4
Updated: October 7, 2015
THE CELL-SHADED TEXTURE PACK 128x HD resolution, hand-drawn, cell-shaded and with extra features for MCPatcher and Optifine. Bordercraft recreates the
Compatible: 1.8.8, 1.8, 1.7.10, 1.7.2, 1.6.4
Updated: October 5, 2015
THE DEFAULT REALISM TEXTURE PACK 512x textures, pixel-perfect, hyper-realistic yet extremely simple, and always updated. Realistico enhances the missi
Compatible: 1.8.8, 1.8, 1.7.10, 1.7.2, 1.6.4
Updated: August 26, 2015
Images How to install: Warning: You need to use MCPatcher (or Optifine) to fix the glass, better skies and random mobs. Download the resource pack. Op
Compatible: 1.8.8, 1.8, 1.7.10, 1.7.2, 1.6.4
Updated: July 30, 2015
Flows HD 1.8+ textures add-on Note: This is not a texturepack in itself. This is merely an Add-on you have to use alongside the texturepack you’
Compatible: 1.8.7, 1.8, 1.7.10, 1.7.2, 1.6.4
Updated: July 19, 2015
Description There are 2 versions of the resource pack. 512×512 version requires at least 2 gigabytes of ram 1024×1024 version requires opt
Compatible: 1.8.6, 1.8, 1.7.10, 1.7.2, 1.6.4
Updated: June 8, 2015